#ifndef __USBD_CONFIG_
#define __USBD_CONFIG_



#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <qstring.h>



#define STORAGE_CONFIG	"/etc/hotplug/usbdstorage.conf"
#define USBD_RESTART	"/usr/bin/usb_restart"



class usbdConfig {
public:
    enum mode {
	serial = 0,
	net = 1,
	storage = 2,
    };

    void restart();
    void load();
    void save();
    
    void setMode(int m);
    int getMode();
    void setDevice(const QString &s);
    QString getDevice();

private:
    int mode;
    QString device;
};



#endif
