#include "usbdConfig.h"



void usbdConfig::restart() {
    system(USBD_RESTART);
}



//
void usbdConfig::load() {
    FILE *stream = fopen(STORAGE_CONFIG, "r");
    if(stream != NULL) {
	char buf[255];
	fgets(buf, sizeof(buf), stream);
	
	// chomp
	char *str = buf;
	while((*str != '\0') && (*str != '\r') && (*str != '\n')) {
	    str++;
	}
	*str = '\0';
	
	device = buf;
	if(device.length() > 6) {
	    mode = storage;
	    return;
	}
    }
    mode = net;
}



// 
void usbdConfig::save() {
    if(mode == storage) {
	FILE *stream = fopen(STORAGE_CONFIG, "w");
	if(stream != NULL) {
	    fputs(device.latin1(), stream);
	    fputs("\n", stream);
	    fclose(stream);
	}
    }
    else {
	unlink(STORAGE_CONFIG);
    }
}



void usbdConfig::setMode(int m) {
    mode = m;
}



int usbdConfig::getMode() {
    return mode;
}



void usbdConfig::setDevice(const QString &s) {
    device = s;
}


QString usbdConfig::getDevice() {
    return device;
}
